summaryrefslogtreecommitdiffstats
path: root/package/base-files
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2011-11-08 23:35:13 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2011-11-08 23:35:13 +0000
commitdbfb36880475206561f55dd8a65be3d379edbef0 (patch)
tree62ca2e3b8b1a6119d43b72c1ca8807f74213c2ed /package/base-files
parent4afd7dc6a4a25b094b2e0cce0cc75cfe397865f7 (diff)
package/base-files: /lib/functions.sh: let service_stop exit early if no matching process to stop where found
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@28870 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files')
-rwxr-xr-xpackage/base-files/files/lib/functions.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/base-files/files/lib/functions.sh b/package/base-files/files/lib/functions.sh
index 389f8eb98..43ce60ee1 100755
--- a/package/base-files/files/lib/functions.sh
+++ b/package/base-files/files/lib/functions.sh
@@ -351,7 +351,7 @@ service_start() {
service_stop() {
local try
- SERVICE_SIG="${SERVICE_SIG:-$SERVICE_SIG_STOP}" service -K "$@"
+ SERVICE_SIG="${SERVICE_SIG:-$SERVICE_SIG_STOP}" service -K "$@" || return 1
while [ $((try++)) -lt $SERVICE_STOP_TIME ]; do
service -C "$@" || return 0
sleep 1